Loading...
Searching...
No Matches
poll.h File Reference

Provide poll call where missing. More...

`#include <config.h>`
`#include <freetds/pushvis.h>`
`#include <freetds/popvis.h>`
Include dependency graph for poll.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | pollfd

## Macros

#define | _REPLACEMENTS_POLL_H
#define | FD_SETSIZE OPEN_MAX
#define | poll(fds, nfds, timeout) tds_poll(fds, nfds, timeout)
#define | POLLERR 0x0008
#define | POLLHUP 0x0010
#define | POLLIN 0x0001
#define | POLLNORM POLLIN
#define | POLLNVAL 0x0020
#define | POLLOUT 0x0004
#define | POLLPRI POLLIN
#define | POLLRDBAND POLLIN
#define | POLLRDNORM POLLIN
#define | POLLWRBAND POLLOUT
#define | POLLWRNORM POLLOUT

## Typedefs

typedef struct pollfd | pollfd_t

## Functions

int | tds_poll (struct pollfd fds[], int nfds, int timeout)

## Detailed Description

Provide poll call where missing.